Mail::MtPolicyd::Client(3pm)

NAME
Mail::MtPolicyd::Client - a policyd client class

VERSION
version 2.05

DESCRIPTION
Client class to query a policyd server.

  SYNOPSIS
  use Mail::MtPolicyd::Client;
  use Mail::MtPolicyd::Client::Request;

  my $client = Mail::MtPolicyd::Client->new(
    host => 'localhost:12345',
    keepalive => 1,
  );

  my $request = Mail::MtPolicyd::Client::Request->new(
    'client_address' => '192.168.0.1',
  );

  my $response = $client->request( $request );
  print $response->as_string;

  METHODS

request ( $request )
    Will send a Mail::MtPolicyd::Client::Request to the remote host and return a Mail::MtPolicyd::Client::Response.

  ATTRIBUTES

socket_path (default: undef)
    Path of a socket of the policyd server.

    If defined this socket will be used instead of a tcp connection.

host (default: localhost:12345)
    Remote address/port of the policyd server.

keepalive (default: 0)
    Keep connection open for multiple requests.

AUTHOR
Markus Benning <ich@markusbenning.de>

COPYRIGHT AND LICENSE
This software is Copyright (c) 2014 by Markus Benning <ich@markusbenning.de>.

This is free software, licensed under:

  The GNU General Public License, Version 2, June 1991